Bug 864250 - [ Enhancement ] Symlinks inside bundles do not work
[ Enhancement ] Symlinks inside bundles do not work
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning (Show other bugs)
JON 3.1.0
All Linux
unspecified Severity medium
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 851021
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 21:23 EDT by Larry O'Leary
Modified: 2016-02-21 19:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 851021
: 875232 (view as bug list)
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 194413 None None None 2012-10-08 21:23:34 EDT

  None (edit)
Description Larry O'Leary 2012-10-08 21:23:32 EDT
+++ This bug was initially created as a clone of RHQ Bug #851021 +++

As per http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6550137, java.util.zip doesn't support symlinks. Since RHQ uses those classes for handling the contents of bundles, it does not support symlinks inside bundles.


A use case for when you may want to do this is installing the EAP 5.1.2 RHEL native components via a bundle. As of 5.1.2, the zip from the customer portal contains symlinks to some OS-provides shared libraries, rather than copies of them.


This is not likely to be easy to fix, without moving to a different archive-handling libraru, and I'm not certain ant supports symlinks in zip files either.

--- Additional comment from jlivings@redhat.com on 2012-08-23 02:29:48 EDT ---

A work-around is to put the symlinks (and optionally other files) into a tarball and extract them using the ant script:
  <untar src="abc.tar.gz" compression="gzip" dest="somedirectory"/>

Note You need to log in before you can comment on or make changes to this bug.